Skip to main content
POST
/
v2
/
orgs
/
presentations
Send a presentation request to a user on behalf of an organization.
curl --request POST \
  --url https://test.didxtech.com/me-wallet/api/v2/orgs/presentations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "presentationRequest": "<string>",
  "recipient": "<string>",
  "identifierType": "email"
}
'
{
  "data": null,
  "links": {
    "self": "<string>",
    "first": "<string>",
    "last": "<string>",
    "prev": "<string>",
    "next": "<string>",
    "related": "<string>"
  },
  "meta": {},
  "errors": [
    {
      "detail": "<string>",
      "id": "<string>",
      "status": "<string>",
      "code": "<string>",
      "title": "<string>",
      "source": {
        "pointer": "<string>",
        "parameter": "<string>"
      },
      "meta": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
presentationRequest
string
required

Presentation request URI

recipient
string
required

Recipient identifier value (email, username, or external identifier)

Minimum string length: 1
identifierType
enum<string>
default:email

Type of recipient identifier. Defaults to email.

Available options:
email,
username,
externalIdentifier

Response

201 - application/json

Created presentation.

data
unknown
required
meta
object
errors
object[]